"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TText = void 0;

var _HTMLContentModel = _interopRequireDefault(require("../model/HTMLContentModel"));

var _TNode = require("./TNode");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class TText extends _TNode.TNode {
  constructor(init) {
    super(init, 'text');

    _defineProperty(this, "data", void 0);

    _defineProperty(this, "displayName", 'TText');

    this.data = init.data;
  }

  matchContentModel(contentModel) {
    return contentModel === _HTMLContentModel.default.textual || contentModel === _HTMLContentModel.default.mixed;
  }

  isCollapsibleLeft() {
    return this.hasWhiteSpaceCollapsingEnabled && !this.isEmpty() && this.data[0] === ' ';
  }

  isCollapsibleRight() {
    return this.hasWhiteSpaceCollapsingEnabled && !this.isEmpty() && this.data[this.data.length - 1] === ' ';
  }

  isWhitespace() {
    return this.data === ' ';
  }

  isEmpty() {
    // Only anonymous text nodes can be considered "empty"
    return this.tagName === null && !this.data.length;
  }

  trimLeft() {
    if (this.isCollapsibleLeft()) {
      this.data = this.data.slice(1);
    }
  }

  trimRight() {
    if (this.isCollapsibleRight()) {
      this.data = this.data.substr(0, this.data.length - 1);
    }
  }

}

exports.TText = TText;
//# sourceMappingURL=TText.js.map