import { Node, Text, Element } from 'domhandler';
export declare type SerializableNode = SerializableElement | SerializableText;
export interface SerializableText extends Pick<Text, 'data'> {
    type: 'text';
}
export interface SerializableElement extends Pick<Element, 'attribs' | 'tagName'> {
    type: 'element';
    children: SerializableNode[];
}
export declare function isSerializableText(node: any): node is SerializableText;
export declare function isSerializableElement(node: any): node is SerializableElement;
export declare function toSerializableChildren(children: Node[]): SerializableNode[];
export declare function toSerializableNode(node?: Node): null | SerializableNode;
