import { TNode } from '../tree/TNode';
import { Node } from 'domhandler';
import { TDocument } from '../tree/TDocument';
import { SerializableNode } from '../dom/to-serializable';
import { TStyles } from '../styles/TStyles';
import { DataFlowParams } from './types';
export declare function mapNodeList({ nodeList, parent, parentStyles, params }: {
    nodeList: SerializableNode[];
    parentStyles: TStyles | null;
    parent: TNode | null;
    params: DataFlowParams;
}): TNode[];
export declare function bindChildren(node: TNode, children: SerializableNode[], params: DataFlowParams): void;
interface TranslateParams<T = SerializableNode> {
    node: T;
    parentStyles: TStyles | null;
    params: DataFlowParams;
    nodeIndex: number;
    parent: TNode | null;
}
export declare function translateNode({ node, parentStyles, params, nodeIndex, parent }: TranslateParams<SerializableNode | null>): TNode | null;
export declare function translateDocument(documentTree: Node[], params: DataFlowParams): TDocument;
export {};
