import { TNodeInit } from './TNode';
import { TBlock } from './TBlock';
export interface DocumentContext {
    charset: string;
    baseHref: string;
    baseTarget: '_blank' | '_self' | '_parent' | '_top';
    lang: string;
    dir: 'ltr' | 'rtl';
    title: string;
    meta: {
        name: string;
        value: string;
    }[];
    links: Record<string, string>[];
}
export declare class TDocument extends TBlock {
    readonly context: Readonly<DocumentContext>;
    readonly displayName = "TDocument";
    constructor({ attributes, stylesMerger, styles, domNode }: Omit<TNodeInit, 'contentModel' | 'elementModel' | 'parentStyles'>);
    /**
     * Iterate over children and extract meta-information into context field.
     * Replace children with a single-element array containing the body.
     */
    parseChildren(): void;
}
