import HTMLContentModel from '../model/HTMLContentModel';
import { TNode, TNodeInit } from './TNode';
export interface TPhrasingInit extends TNodeInit {
}
export declare class TPhrasing extends TNode {
    readonly displayName: string;
    constructor(init: TPhrasingInit);
    protected emptyParams<T = {}>(other?: T): Partial<TNodeInit> & T;
    matchContentModel(contentModel: HTMLContentModel): boolean;
    /**
     * Create a new empty instance of this node.
     * This instance should have empty children, tagName set to null, no styles nor attributes.
     */
    newEmpty(): TPhrasing;
    isWhitespace(): boolean;
    isEmpty(): boolean;
}
